Application
GET
/applications/{id}/countries/{country}/credit_program/holdersRetrieve Credit Program Holders
Responses: 200, 503, 400
Generated from the code contract; no hand-written description yet.
This endpoint is deprecated and no longer be used.
Request
Example
curl -X GET 'https://api.paycose.com/api/v1/app1/platform/wallet/applications/{{id}}/countries/{{country}}/credit_program/holders'Responses
200200 OK
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
Body
{
"object": "<string>",
"rows": [
{
"object": "<string>",
"id": "<string>",
"enrolled": false,
"customer_id": "<string>",
"customer_name": "<string>",
"customer_email": "<string>",
"application_country_id": "<string>",
"balances": [
{
"currency": "<string>",
"scaling_factor": 0,
"balance": 0,
"held": 0,
"available": 0,
"usage_period": 0,
"usage_period_by_kind": {
"fee_cover": 0,
"usage": 0
},
"expired_period": 0,
"granted_period": 0,
"granted_period_by_category": {
"paid": 0,
"promotional": 0
}
}
],
"settings": [
{
"id": "<string>",
"application_country_id": "<string>",
"holder_customer_id": "<string>",
"currency": "<string>",
"auto_topup_enabled": false,
"auto_topup_threshold": 0,
"auto_topup_amount": 0,
"auto_topup_payment_method_id": "<string>",
"low_credit_threshold": 0,
"wallet_id": "<string>",
"metadata": "<Metadata>",
"created_at": "<RFC3339 timestamp>",
"updated_at": "<RFC3339 timestamp>",
"deleted_at": "<RFC3339 timestamp>"
}
],
"created_at": "<RFC3339 timestamp>"
}
],
"total": 0
}400400 Bad Request
Headers
| Name | Value |
|---|---|
| Content-Type | application/json |
Body
{
"object": "error",
"code": "<string>",
"key": "<string>",
"i18n_key": "<string>",
"message": "<string>",
"request_id": "<string>"
}